%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Any/Moose.pm) perl(DateTime.pm) perl(Digest/HMAC_SHA1.pm) perl(Exception/Class.pm) perl(Exception/Class/TryCatch.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Params/Validate.pm) perl(Test/More.pm) perl(XML/RPC.pm)
# END SourceDeps(oneline)
%define module_version 0.09
%define module_name Net-Mollom
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: interface with Mollom web API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/W/WO/WONKO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Communicate with the Mollom web API (http://mollom.com/) via
XML-RPC to determine whether user input is Spam, Ham, flame or
obscene.

    my $mollom = Net::Mollom->new(
        public_key  => 'a2476604ffba00c907478c8f40b83b03',
        private_key => '42d5448f124966e27db079c8fa92de0f',
    );

    my @server_list = $mollom->server_list();

    my $check = $mollom->check_content(
        post_title => $title,
        post_body  => $text,
    );
    if ($check->is_spam) {
        warn "someone's trying to sell us v1@grA!";
    } elsif ($check->is_unsure) {

        # show them a CAPTCHA to see if they are really human
        my $captcha_url = $mollom->get_image_captcha();
    } elsif ($check->quality < .5) {
        warn "someone's trying to flame us!";
    }

If you have any questions about how any of the methods work, please
consult the Mollom API documentation - http://mollom.com/api.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- initial import by package builder

